Name:           perl-CPAN-Mini
Version:        0.576
Release:        4%{?dist}
Summary:        Create a minimal mirror of CPAN
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CPAN-Mini/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/CPAN-Mini-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(Compress::Zlib) >= 1.20
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::HomeDir) >= 0.57
BuildRequires:  perl(File::Path) >= 2.04
BuildRequires:  perl(LWP) >= 5
BuildRequires:  perl(URI) >= 1
BuildRequires:  perl(Test::More)

%description
CPAN::Mini provides a simple mechanism to build and update a minimal 
mirror of the CPAN on your local disk containing only those files 
needed to install the newest version of every distribution. 

%prep
%setup -q -n CPAN-Mini-%{version}

perl -pi -e 's|^#!perl|#!/usr/bin/perl|' t/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} + 
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README t/
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man[13]/*

%changelog
* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.576-4
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.576-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.576-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 25 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.576-1
- update to 0.576

* Fri May 30 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.571-2
- bump

* Thu May 29 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.571-1
- update to 0.571

* Wed Apr 23 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.568-2
- additional br 

* Wed Apr 23 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.568-1
- Specfile autogenerated by cpanspec 1.74.
